#import "../fragments/InboxItemFragment.gql"

query listNotificationsForUserGql(
  $before: String
  $after: String
  $first: Int = 10
  $last: Int
  $isRead: Boolean
) {
  notificationsForUser(
    before: $before
    after: $after
    first: $first
    last: $last
    isRead: $isRead
  ) {
    edges {
      node {
        ...InboxItem
      }
    }
    pageInfo {
      hasNextPage
      hasPreviousPage
      startCursor
      endCursor
    }
    totalCount
    totalReadCount
    totalUnreadCount
  }
}
